Invite member

Invite a user to join your account as a member

OpenAPI

````yaml post /api/v2/member
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/member:
post:
tags:
- Accounts
summary: Invite member
description: Invite a user to join your account as a member
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- email
properties:
email:
description: Email of the person you are inviting
type: string
example: admin@acmesolar.com
redirectUrl:
description: URL to redirect user to after they accept invite
type: string
example: https://www.getvoicebot.com/welcome
role:
description: >-
Role for the invited member. Defaults to admin when not
specified.
type: string
example: admin
permittedAccountIds:
description: Account ids that this member can access
type: array
items:
type: number
example:
- 12345
- 67890
sendWelcomeEmail:
description: Whether to send the default welcome email. Defaults to true.
type: boolean
example: true
responses:
'201':
description: Invitation sent
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Invitation sent
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token

````